Bug 261656 - Object::connect error messages when using decorate/add border
Summary: Object::connect error messages when using decorate/add border
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Plugin-Editor-Border (show other bugs)
Version: 1.7.0
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-30 21:04 UTC by Martin Koller
Modified: 2017-08-07 21:03 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Koller 2010-12-30 21:04:14 UTC
Version:           1.7.0 (using KDE 4.5.90) 
OS:                Linux

When I open an image in the image editor and select decorate/add border
the following errors appear:

Object::connect: No such slot DigikamDecorateImagePlugin::BorderTool::slotUpdateSpotInfo(const Digikam::DColor&, const QPoint&)
Object::connect:  (receiver name: 'border')
Object::connect: No such slot DigikamDecorateImagePlugin::BorderTool::slotUpdateSpotInfo(const Digikam::DColor&, const QPoint&)
Object::connect:  (receiver name: 'border')


Reproducible: Always




OS: Linux (i686) release 2.6.34.7-0.5-desktop
Compiler: gcc
Comment 1 caulier.gilles 2011-07-07 14:07:40 UTC
Git commit c4f8af9c45c5d59d49d153736e712ea5a1ad4551 by Gilles Caulier.
Committed on 07/07/2011 at 16:06.
Pushed by cgilles into branch 'master'.

use extra namespace qualification here
CCBUGS: 261656

M  +1    -1    utilities/imageeditor/editor/editortool.h     

http://commits.kde.org/digikam/c4f8af9c45c5d59d49d153736e712ea5a1ad4551
Comment 2 caulier.gilles 2011-07-07 15:18:21 UTC
Git commit 63f56b8c97dac3e3f81d36ebe5c13e484c96dbce by Gilles Caulier.
Committed on 07/07/2011 at 17:17.
Pushed by cgilles into branch 'master'.

update
BUGS: 261656

M  +2    -1    NEWS     

http://commits.kde.org/digikam/63f56b8c97dac3e3f81d36ebe5c13e484c96dbce